### Method

# Gck Attribute init_string

#### Declaration [src]

    void
    gck_attribute_init_string (
      GckAttribute* attr,
      gulong attr_type,
      const gchar* value
    )

#### Description [src]

Initialize a PKCS#11 attribute to a string. This will result in an attribute containing the text, but not the null terminator. The text in the attribute will be of the same encoding as you pass to this function.

When done with the attribute you should use `gck_attribute_clear()` to free the internal memory.

This method is not directly available to language bindings.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

`value`

  Type: `const gchar*`

  The null terminated string value of the attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.